export default {
  'cn': {
    i18n: {
      breadcrumb: '智慧公寓管理系统',
      items: [
        {
          icon: "iconfont httpicon-rizhiguanli",
          index: "bluetoothInput",
          title: "蓝牙录入权限",
          key: 'BLUETOOTH_INPUT',
          status: 0,
          Children: false
        },
        {
          icon: "iconfont httpicon-tongjifenxi",
          index: "home",
          key: 'STATISTICAL_ANALYSIS',
          status: 0,
          title: "数据汇总",
          Children: true,
          subs: [
            // {
            //   icon: "iconfont httpicon-shouye",
            //   index: "home",
            //   title: "首页",
            //   key: 'ALLHOME',
            //   status: 0,
            //   Children: false,
            // },
            // {
            //   icon: "iconfont httpicon-shouye",
            //   index: "visualization",
            //   title: "大屏展示",
            //   key: 'visualization',
            //   status: 0,
            //   Children: false,
            // },
            {
              icon: "iconfont httpicon-shouye",
              index: "home",
              title: "门锁首页",
              key: 'HOME_PAGE',
              status: 0,
              Children: false,
            },
            // {
            //   icon: "iconfont httpicon-shouye",
            //   index: "index",
            //   title: "门磁首页",
            //   key: 'INDEX',
            //   status: 0,
            //   Children: false,
            // },{
            //   icon: "iconfont httpicon-shouye",
            //   index: "trashMonitorHomePage",
            //   title: "垃圾桶检测器首页",
            //   key: 'TRASHMONITORHOMEPAGE',
            //   status: 0,
            //   Children: false,
            // },{
            //   icon: "iconfont httpicon-shouye",
            //   index: "airQualityMonitorHomePage",
            //   title: "空气质量监测器首页",
            //   key: 'AIRQUALITYMONITORHOMEPAGE',
            //   status: 0,
            //   Children: false,
            // },
            // // {
            // //   icon: "iconfont httpicon-shouye",
            // //   index: "homePageEnvironmentalQualityMonitor",
            // //   title: "环境质量监测器首页",
            // //   key: 'HOMEPAGEENVIRONMENTALQUALITYMONITOR',
            // //   status: 0,
            // //   Children: false,
            // // },
            // {
            //   icon: "iconfont httpicon-shouye",
            //   index: "manholeCoverMonitorHomePage",
            //   title: "井盖监测器首页",
            //   key: 'MANHOLECOVERMONITORHOMEPAGE',
            //   status: 0,
            //   Children: false,
            // },{
            //   icon: "iconfont httpicon-shouye",
            //   index: "smartButtonHomePage",
            //   title: "智能按钮首页",
            //   key: 'SMARTBUTTONHOMEPAGE',
            //   status: 0,
            //   Children: false,
            // },{
            //   icon: "iconfont httpicon-shouye",
            //   index: "acoustoopticAlarmHomePage",
            //   title: "声光报警器首页",
            //   key: 'ACOUSTOOPTICALARMHOMEPAGE',
            //   status: 0,
            //   Children: false,
            // },{
            //   icon: "iconfont httpicon-shouye",
            //   index: "homePageDistributionCabinetIsEmpty",
            //   title: "配电柜空开首页",
            //   key: 'HOME_PAGE_DISTRIBUTION_CABINET_IS_EMPTY',
            //   status: 0,
            //   Children: false,
            // },{
            //   icon: "iconfont httpicon-shouye",
            //   index: "infraredAlarmHomePage",
            //   title: "红外报警首页",
            //   key: 'INFRAREDALARMHOMEPAGE',
            //   status: 0,
            //   Children: false,
            // },{
            //   icon: "iconfont httpicon-shouye",
            //   index: "homePageWaterAndElectricityMeter",
            //   title: "水电表首页",
            //   key: 'HOME_PAGE_WATER_AND_ELECTRICITY_METER',
            //   status: 0,
            //   Children: false,
            // },{
            //   icon: "iconfont httpicon-shouye",
            //   index: "sharedHotWaterHomePage",
            //   title: "共享热水首页",
            //   key: 'SHARED_HOT_WATER_HOME_PAGE',
            //   status: 0,
            //   Children: false,
            // },
          ],
        },
        {
          icon: "iconfont httpicon-loufang01",
          index: "room",
          title: "房源管理",
          key: 'AREA_MANAGEMENT',
          status: 0,
          Children: true,
          subs: [{
            index: "room",
            title: "门锁房源列表",
            key: 'STUDENT_DORMITORY',
            status: 0,
            Children: false,
          },
          // {
          //   index: "Architecture",
          //   title: "门磁房源列表",
          //   key: 'ARCCHITECTURE',
          //   status: 0,
          //   Children: false,
          // },
          ],
        },
        {
          icon: "iconfont httpicon-yewuguanli",
          index: "CheckIn",
          title: "业务管理",
          key: 'OPERATIONS_MANAGEMENT',
          status: 0,
          Children: true,
          subs: [{
            icon: "el-icon-lx-copy",
            index: "RoomInquiry",
            title: "门锁业务",
            key: 'ACCOMMODATION_OPERATION',
            status: 0,
          Children: true,
            subs: [{
                index: "CheckIn",
                title: "入住办理",
                key: 'ACCOMMODATION_REGISTER',
                status: 0,
                Children: false,
              },
              {
                index: "Refund",
                title: "退住管理",
                key: 'CHECK_OUT_MANAGEMENT',
                status: 0,
                Children: false,
              },
              {
                index: "renewalHandling",
                title: "续住管理",
                key: 'RENEWAL_HANDLING',
                status: 0,
                Children: false,
              }
            ],
          },
          // {
          //   icon: "el-icon-lx-copy",
          //   index: "Linkman",
          //   title: "门磁业务",
          //   key: 'DOORMAGNETICSERVICE',
          //   status: 0,
          //   Children: true,
          //   subs: [{
          //     index: "Linkman",
          //     title: "接警联系人",
          //     key: 'LINKMAN',
          //     status: 0,
          //     Children: false,
          //   }],
          // },
          ],
        },
        {
          icon: "iconfont httpicon-yiqiatong",
          index: "userManagement",
          title: "人员管理",
          key: 'PERSONNEL_MANAGEMENT',
          status: 0,
          Children: true,
          subs: [{
              index: "userManagement",
              title: "人员列表",
              key: 'STUDENT_INFORMATION',
              status: 0,
              Children: false,
            },
            {
              index: "VoucherList",
              title: "凭证管理",
              key: 'RENT_SURRENDER_MANAGEMENT',
              status: 0,
              Children: false,
            },
            {
              index: "InformationBase",
              title: "信息库",
              key: 'INFORMATIONBASE',
              status: 0,
              Children: false,
            },
          ],
        },
        {
          icon: "iconfont httpicon-shebei",
          index: "doorLock",
          title: "设备管理",
          key: 'DEVICE_MANAGEMENT',
          status: 0,
          Children: true,
          subs: [{
            icon: "el-icon-lx-copy",
            index: "doorLock",
            title: "门锁设备",
            key: 'DOOR_LOCK_DEVICE',
            status: 0,
            Children: false,
          },
          // {
          //   icon: "el-icon-lx-copy",
          //   index: "EquipmentList",
          //   title: "门磁设备",
          //   key: 'EQUIPMENTLIST',
          //   status: 0,
          //   Children: false,
          // },{
          //   icon: "el-icon-lx-copy",
          //   index: "airSwitchDevice",
          //   title: "空开设备",
          //   key: 'AIRSWITCH',
          //   status: 0,
          //   Children: false,
          // },
          // {
          //   icon: "el-icon-lx-copy",
          //   index: "smokeSensationDevice",
          //   title: "烟感设备",
          //   key: 'SMOGDETECTOR',
          //   status: 0,
          //   Children: false,
          // },
          // // {
          // //   icon: "el-icon-lx-copy",
          // //   index: "AirCleaningDevice",
          // //   title: "空气净化",
          // //   key: 'AIRCLEANER',
          // //   status: 0,
          // //   Children: false,
          // // },
          // {
          //   icon: "el-icon-lx-copy",
          //   index: "smartButtonDevice",
          //   title: "智能按钮",
          //   key: 'ACTIVEBUTTON',
          //   status: 0,
          //   Children: false,
          // },{
          //   icon: "el-icon-lx-copy",
          //   index: "manholeCoverDevice",
          //   title: "井盖",
          //   key: 'MANHOLECOVER',
          //   status: 0,
          //   Children: false,
          // },{
          //   icon: "el-icon-lx-copy",
          //   index: "trashCanDevice",
          //   title: "垃圾桶",
          //   key: 'GARBAGE',
          //   status: 0,
          //   Children: false,
          // },{
          //   icon: "el-icon-lx-copy",
          //   index: "gatewayDevice",
          //   title: "网关",
          //   key: 'GATEWAY',
          //   status: 0,
          //   Children: false,
          // },{
          //   icon: "el-icon-lx-copy",
          //   index: "airDetectionDevice",
          //   title: "空气检测传感器",
          //   key: 'AIRDETECTION',
          //   status: 0,
          //   Children: false,
          // }, {
          //   icon: "el-icon-lx-copy",
          //   index: "humanMotionSensorDevice",
          //   title: "人体移动传感器",
          //   key: 'HUMANMOVING',
          //   status: 0,
          //   Children: false,
          // },{
          //   icon: "el-icon-lx-copy",
          //   index: "acoustoopticAlarm",
          //   title: "声光报警",
          //   key: 'ACOUSTOOPTIC_ALARM',
          //   status: 0,
          //   Children: false,
          // },
          {
            icon: "el-icon-lx-copy",
            index: "quantityConfiguration",
            title: "设备数量",
            key: 'quantityConfiguration',
            status: 0,
            Children: false,
          },
          ],
        },
        {
          icon: "iconfont httpicon-yonghuguanli",
          index: "loginAccount",
          title: "用户管理",
          key: 'USER_MANAGEMENT',
          status: 0,
          Children: true,
          subs: [{
              index: "loginAccount",
              title: "登录账号",
              key: 'ACCOUNT_MANAGEMENT',
              status: 0,
              Children: false,
            },
            // {
            //   index: "userManagementHouse",
            //   title: "门磁登录账号",
            //   key: 'DOORMAGENTLOGINACCOUNT',
            //   status: 0,
            // },
            {
              index: "rolePermissions",
              title: "角色权限",
              key: 'ROLE_PERMISSIONS',
              status: 0,
              Children: false,
            },
            {
              index: "bindingRoles",
              title: "绑定角色",
              key: 'BOUND_ROLE',
              status: 0,
              Children: false,
            },
            {
              index: "configPage",
              title: "配置",
              key: 'CONFIGPAGE',
              status: 0,
              Children: false,
            },
          ],
        },
        {
          icon: "iconfont httpicon-rizhiguanli",
          index: "journal",
          title: "日志管理",
          key: 'LOG_MANAGEMENT',
          status: 0,
          Children: true,
          subs: [{
              index: "journal",
              title: "系统日志",
              key: 'journal',
              status: 0,
              Children: false,
            }, {
              index: "doorLockLlog",
              title: "门锁日志",
              key: 'DOORLOCKLOG',
              status: 0,
              Children: true,
              subs: [{
                  index: "warningLog",
                  title: "警告日志",
                  key: 'warningLog',
                  status: 0,
                  Children: false,
                },
                {
                  index: "UnlockRecord",
                  title: "开锁记录",
                  key: 'UnlockRecord',
                  status: 0,
                  Children: false,
                },
                {
                  index: "DeviceFeedbackLog",
                  title: "设备反馈日志",
                  key: 'DeviceFeedbackLog',
                  status: 0,
                  Children: false,
                },
              ]
            },
            // {
            //   index: "alarmRecord",
            //   title: "门磁日志",
            //   key: 'DOORMAGNETICLOG',
            //   status: 0,
            //   Children: true,
            //   subs: [{
            //     index: "alarmRecord",
            //     title: "报警日志",
            //     key: 'ALARMRECORD',
            //     status: 0,
            //     Children: false,
            //   }]
            // },
            // {
            //   index: "emptyLog",
            //   title: "空开日志",
            //   key: 'EMPTYLOG',
            //   status: 0,
            //   Children: false
            // },
            // // {
            // //   index: "smokeLog",
            // //   title: "烟感日志",
            // //   key: 'SMOKELOG',
            // //   status: 0,
            // //   Children: false
            // // },
            // // {
            // //   index: "airCleaningLog",
            // //   title: "空气清洁日志",
            // //   key: 'AIRCLEANINGLOG',
            // //   status: 0,
            // //   Children: false
            // // },
            // {
            //   index: "smartButtonLog",
            //   title: "智能按钮日志",
            //   key: 'SMART_BUTTON_LOG',
            //   status: 0,
            //   Children: false
            // },
            // {
            //   index: "manholeCoverLog",
            //   title: "井盖日志",
            //   key: 'MANHOLE_COVER_LOG',
            //   status: 0,
            //   Children: false
            // },
            // {
            //   index: "trashLog",
            //   title: "垃圾桶日志",
            //   key: 'TRASH_LOG',
            //   status: 0,
            //   Children: false
            // },
            // {
            //   index: "gatewayLog",
            //   title: "网关日志",
            //   key: 'GATEWAY_LOG',
            //   status: 0,
            //   Children: false
            // },
            // {
            //   index: "airDetectionSensorLog",
            //   title: "空气检测传感器日志",
            //   key: 'AIR_DETECTION_SENSOR_LOG',
            //   status: 0,
            //   Children: false
            // },
            // {
            //   index: "humanMotionSensorLog",
            //   title: "人体移动传感器日志",
            //   key: 'HUMAN_MOTION_SENSOR_LOG',
            //   status: 0,
            //   Children: false
            // },
            // {
            //   index: "acoustoopticAlarmLog",
            //   title: "声光报警日志",
            //   key: 'ACOUSTOOPTIC_ALARM_LOG',
            //   status: 0,
            //   Children: false
            // },
          ],
        },
      ],
    },
    i18n1: {
      breadcrumb: '智慧公寓管理系统',
      items: [{
          icon: "iconfont httpicon-tongjifenxi",
          index: "homepage",
          key: 'STATISTICAL_ANALYSIS',
          status: 0,
          title: "数据汇总",
          subs: [{
            icon: "iconfont httpicon-shouye",
            index: "index",
            title: "门磁首页",
            key: 'INDEX',
            status: 0,
          }, ],
        },
        {
          icon: "iconfont httpicon-shebei",
          index: "fygl",
          title: "设备管理",
          key: 'AREA_MANAGEMENT',
          status: 0,
          subs: [{
            index: "EquipmentList",
            title: "设备列表",
            key: 'STUDENT_DORMITORY',
            status: 0,
          }, ],
        },
        {
          icon: "iconfont httpicon-rizhiguanli",
          index: "business",
          title: "报警管理",
          key: 'OPERATIONS_MANAGEMENT',
          status: 0,
          subs: [{
            icon: "el-icon-lx-copy",
            index: "alarmRecord",
            title: "报警记录",
            key: 'ACCOMMODATION_OPERATION',
            status: 0,
          }, ],
        },
        {
          icon: "iconfont httpicon-yiqiatong",
          index: "rygl",
          title: "安装管理",
          key: 'PERSONNEL_MANAGEMENT',
          status: 0,
          subs: [{
              index: "Architecture",
              title: "建筑物管理",
              key: 'STUDENT_INFORMATION',
              status: 0,
            },
            {
              index: "Linkman",
              title: "接警联系人管理",
              key: 'RENT_SURRENDER_MANAGEMENT',
              status: 0,
            }
          ],
        },
        {
          icon: "iconfont httpicon-yonghuguanli",
          index: "tabs",
          title: "用户与单位",
          key: 'DEVICE_MANAGEMENT',
          status: 0,
          subs: [{
            icon: "el-icon-lx-copy",
            index: "subordinateUnit",
            title: "下级单位管理",
            key: 'DOOR_LOCK_DEVICE',
            status: 0,
          }, {
            icon: "el-icon-lx-copy",
            index: "userManagementHouse",
            title: "用户管理",
            key: 'DOOR_LOCK_DEVICE',
            status: 0,
          }, ],
        }
      ],
    }
  },
  'en': {
    i18n: {
      breadcrumb: 'Smart campus management system',
      items: [{
          icon: "el-icon-lx-home",
          index: "statistics",
          title: "statistical analysis",
          subs: [{
              icon: "el-icon-lx-copy",
              index: "homepage",
              title: "home",
            },
            {
              icon: "el-icon-lx-copy",
              index: "dashboard",
              title: "Dormitory management",
            },
            {
              icon: "el-icon-lx-copy",
              index: "studentsRoom",
              title: "Classroom management",
            },
          ],
        },
        {
          icon: "el-icon-lx-copy",
          index: "business",
          title: "Business management",
          subs: [{
              icon: "el-icon-lx-copy",
              index: "RoomInquiry",
              title: "Accommodation business",
              subs: [{
                  index: "CheckIn",
                  title: "Check in",
                },
                {
                  index: "dueRoom",
                  title: "Room inquiry",
                },
                {
                  index: "Refund",
                  title: "Exit management",
                },
              ],
            },
            {
              icon: "el-icon-lx-calendar",
              index: "dueRoom",
              title: "Teaching business",
            },
            {
              icon: "el-icon-lx-calendar",
              index: "CheckInStaff",
              title: "Extracurricular activities",
            },
            {
              icon: "el-icon-lx-calendar",
              index: "CheckInStaff",
              title: "Warranty service",
            },
          ],
        },
        {
          icon: "el-icon-lx-copy",
          index: "fygl",
          title: "Housing supply management",
          subs: [{
              index: "room",
              title: "Student dormitory",
            },
            {
              index: "campus",
              title: "Office building?",
            },
            {
              index: "campus",
              title: "Academic Building",
            },
          ],
        },
        {
          icon: "el-icon-lx-copy",
          index: "rygl",
          title: "Personnel management",
          subs: [{
              index: "userManagement",
              title: "Student information",
            },
            {
              index: "voucher",
              title: "Teacher information",
            },
            {
              index: "userManagement",
              title: "Property information",
            },
          ],
        },
        {
          icon: "el-icon-lx-copy",
          index: "tabs",
          title: "device management",
          subs: [{
              icon: "el-icon-lx-copy",
              index: "doorLock",
              title: "Door lock equipment",
            },
            {
              icon: "el-icon-lx-copy",
              index: "table1",
              title: "Air switch equipment",
            },
            {
              icon: "el-icon-lx-copy",
              index: "table1",
              title: "Smoke sensing equipment",
            },
          ],
        },
        {
          icon: "el-icon-lx-rank",
          index: "7",
          title: "system management",
          subs: [{
            index: "upload",
            title: "Manage logo",
          }, ],
        },
        {
          icon: "el-icon-rank",
          index: "6",
          title: "user management",
          subs: [{
              index: "loginAccount",
              title: "Login account",
            },
            {
              index: "rolePermissions",
              title: "Role permissions",
            },
            {
              index: "bindingRoles",
              title: "Binding roles",
            },
          ],
        },
        {
          icon: "el-icon-lx-rank",
          index: "permission",
          title: "Log management",
        },
      ],
    }
  }
}
